/*
 * 
 * Program koji ce animirati
 * pomjeranje kruga kao kuglice od jedne
 * linije do druge, i svaki put se odbiti 
 * na drugu stranu.
 * 
 */

import java.awt.*;
import acm.graphics.*;
import acm.program.*;
import acm.util.RandomGenerator;


public class c02_loptica extends GraphicsProgram 
{
	public void run()
	{
		GOval krug=new GOval(50,0,40,40);
		add(krug);
		
		GLine linija1=new GLine(50,0,50,250);
		add(linija1);
		
		GLine linija2=new GLine(229,0,229,250);
		add(linija2);
		
		double koordinataY=1;
		double sirina=140;
		double visina=1;
		
		Color boja;
		double dx=sirina/brojKoraka;
		double dy=visina/brojKoraka;
		
		while(true)
		{	
			//promjenjiva koordinataX uzima vrijednost za y-osu
			koordinataY= krug.getY();
			
			//stimamo da krug moze ici najvise u rangu od 0 o 200
			visina=gen.nextDouble(0-koordinataY,200-koordinataY);
			dy=visina/brojKoraka;
			
			boja=gen.nextColor();
			krug.setFilled(true);
			krug.setFillColor(boja);			
			for(int i=1; i<brojKoraka; i++)
			{
				krug.move(dx,dy);
				pause(20);
			}	
			koordinataY= krug.getY();
			visina=gen.nextDouble(0-koordinataY,200-koordinataY);
			dy=visina/brojKoraka;
			
			boja=gen.nextColor();
			krug.setFilled(true);
			krug.setFillColor(boja);	
			for(int i=1; i<brojKoraka; i++)
			{
				krug.move(-dx,dy);
				pause(20);
			}
		}
	}
	private RandomGenerator gen=RandomGenerator.getInstance();
	private static final double brojKoraka=50;
}
